CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation on Windows, Mac and other Unsupported Platforms

Patches for OpenFOAM 1.7 on MacOS X

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   August 24, 2010, 09:38
Default
  #41
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Hi All,

I did an install today from fresh source (ie unpacked the source again, applied the patches etc, so that I could be sure I was starting from a clean slate).

To recap, its a dual processor PPC G5 running OS X 10.5.8

I edited line 89 of OpenFOAM-1.7.0/etc/apps/paraview3/bashrc and changed it to ...

Code:
mkdir -p $PV_PLUGIN_PATH
I applied the changes to bashrc as wyldckat suggested.

I then did ...

. /Volumes/OpenFOAM/OpenFOAM-1.7.0/etc/bashrc

and checked the value of $WM_PROJECT_DIR.

"echo $WM_PROJECT_DIR" returned ... "/Volumes/OpenFOAM/OpenFOAM-1.7.0", so I then ran Allwmake.


MAKE.LOG OUTPUT

There were a lot of lines in make.log like ...

Quote:
could not open file calculatedFvPatchFields.H for source file fvMesh/extendedStencil/cellToFace/MeshObjects/upwindCFCCellToFaceStencilObject.C
could not open file surfaceFields.H for source file fvMesh/extendedStencil/cellToFace/MeshObjects/upwindCFCCellToFaceStencilObject.C
could not open file extendedCellToFaceStencilTemplates.C for source file fvMesh/extendedStencil/cellToFace/MeshObjects/upwindCFCCellToFaceStencilObject.C
could not open file extendedUpwindCellToFaceStencilTemplates.C for source file fvMesh/extendedStencil/cellToFace/MeshObjects/upwindCFCCellToFaceStencilObject.C
... similar to what Mattia reported a few posts above.

The make.log file is over 5 meg, but the final section of it reads ...

Quote:
Make/darwinPpcDPOpt/yPlusLES.o
g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/transportModels -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels/incompressible/RAS/RASModel -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/finiteVolume/lnInclude -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -lpthread -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt -lOpenFOAM -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt/openmpi-1.4.1 -lPstream Make/darwinPpcDPOpt/wallShearStress.o -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt \
-lincompressibleRASModels -lincompressibleTransportModels -lfiniteVolume -lgenericPatchFields -lOpenFOAM -lpthread -lm -o /Volumes/OpenFOAM/OpenFOAM-1.7.0/applications/bin/darwinPpcDPOpt/wallShearStress
ld: library not found for -lOpenFOAM
collect2: ld returned 1 exit status
make[3]: *** [/Volumes/OpenFOAM/OpenFOAM-1.7.0/applications/bin/darwinPpcDPOpt/wallShearStress] Error 1
make[2]: *** [wallShearStress] Error 2
Making dependency list for source file yPlusRAS.C
could not open file polyPatch.H for source file yPlusRAS.C

<snipped lots of "could not open file" entries from here>

could not open file createNamedMesh.H for source file yPlusRAS.C

....

Make/darwinPpcDPOpt/yPlusRAS.o
g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/meshTools/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels/incompressible/LES/LESModel -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels/LES/LESdeltas/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/transportModels -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/finiteVolume/lnInclude -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -lpthread -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt -lOpenFOAM -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt/openmpi-1.4.1 -lPstream Make/darwinPpcDPOpt/yPlusLES.o -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt \
-lincompressibleLESModels -lincompressibleTransportModels -lfiniteVolume -lgenericPatchFields -lOpenFOAM -lpthread -lm -o /Volumes/OpenFOAM/OpenFOAM-1.7.0/applications/bin/darwinPpcDPOpt/yPlusLES
ld: library not found for -lOpenFOAM
collect2: ld returned 1 exit status
make[3]: *** [/Volumes/OpenFOAM/OpenFOAM-1.7.0/applications/bin/darwinPpcDPOpt/yPlusLES] Error 1
make[2]: *** [yPlusLES] Error 2
g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/meshTools/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/transportModels -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels/incompressible/RAS/derivedFvPatchFields/wallFunctions/nutWallFunctions -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/turbulenceModels/compressible/RAS/derivedFvPatchFields/wallFunctions/mutWallFunctions -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/thermophysicalModels/basic/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/finiteVolume/lnInclude -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -lpthread -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt -lOpenFOAM -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt/openmpi-1.4.1 -lPstream Make/darwinPpcDPOpt/yPlusRAS.o -L/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt \
-lincompressibleTransportModels -lincompressibleRASModels -lbasicThermophysicalModels -lspecie -lcompressibleRASModels -lfiniteVolume -lmeshTools -lsampling -lgenericPatchFields -lOpenFOAM -lpthread -lm -o /Volumes/OpenFOAM/OpenFOAM-1.7.0/applications/bin/darwinPpcDPOpt/yPlusRAS
ld: library not found for -lOpenFOAM
collect2: ld returned 1 exit status
make[3]: *** [/Volumes/OpenFOAM/OpenFOAM-1.7.0/applications/bin/darwinPpcDPOpt/yPlusRAS] Error 1
make[2]: *** [yPlusRAS] Error 2
make[2]: Target `application' not remade because of errors.
make[1]: *** [wall] Error 2
make[1]: Target `application' not remade because of errors.
make: *** [postProcessing] Error 2
make: Target `application' not remade because of errors.


TESTING THE INSTALL


I noted that a few posts above it reads ...

Quote:
tonight the mac finished to compile the source for OpenFOAM with this message:

make: Traget 'application' not remade because of errors.

Nevertheless, I've tried to run blockMesh and icoFoam and it seems to me that they run.
So I figured I'd try to run the tutorial and see if it works.

So I did this ...

Quote:
. /Volumes/OpenFOAM/OpenFOAM-1.7.0/etc/bashrc
echo $WM_PROJECT_DIR

which returned: "/Volumes/OpenFOAM/OpenFOAM-1.7.0"

echo $WM_PROJECT_USER_DIR

which returned: "/Volumes/OpenFOAM/bob-1.7.0"

cd $WM_PROJECT_USER_DIR
mkdir -p $FOAM_RUN
cp -r $FOAM_TUTORIALS $FOAM_RUN
The tutorial docs read ...

Quote:
In preparation of editing case files and running the first
cavity case, the user should change to the case directory
cd $FOAM_RUN/tutorials/incompressible/icoFoam/cavity

...

The mesh is generated by running blockMesh on this blockMeshDict file. From within
the case directory, this is done, simply by typing in the terminal:
blockMesh
So I did this in the terminal ...

echo $FOAM_RUN returns ...

/Volumes/OpenFOAM/bob-1.7.0/run

cd $FOAM_RUN/tutorials/incompressible/icoFoam/cavity

... and the terminal confirmed that I was in the cavity directory ...

ie /Volumes/OpenFOAM/bob-1.7.0/run/tutorials/incompressible/icoFoam/cavity

... then I did ...

blockMesh

... which returned ...

-bash: blockMesh: command not found


WHAT TO DO NEXT ?

I notice that a few posts above in mattia's post it reads ...

Quote:
If you rerun Allwmake without deleting files you should be able to scroll through and find out what failed to build. Paraview may fail to build but foamToTecplot360 will fail. This is most likely the source of your error. If they are the only component which fail your build should be o.k.

The paraview binaries available from paraview.org should work fine (I would not bother trying to compile it). All that is will require is for you to create the .foam file in your case root directory.
I am a bit stuck as to what I should do next, so any help anyone can advise would be hugely appreciated.

Should I rerun Allwmake without deleting files as mentioned above ?

Where it says above "The paraview binaries available from paraview.org should work fine (I would not bother trying to compile it). All that is will require is for you to create the .foam file in your case root directory." ... where exactly should the .foam file be placed and what should that file contain ?

A sincere thank you once again for everyone's help on this. I am really looking forward to being able to run OpenFOAM on this box !

Last edited by AussieRacer; August 24, 2010 at 09:59.
AussieRacer is offline   Reply With Quote

Old   August 24, 2010, 11:11
Default
  #42
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by AussieRacer View Post
The make.log file is over 5 meg, but the final section of it reads ...
The intestesting part is in the beginning .... All the applications complain that they don't find libOpenFOAM which, as the name indicates, no OF-application can live without. To check it should be sufficient to

cd $FOAM_SRC/OpenFOAM
wmake libso

and see what happens..

Have a look in $FOAM_LIBBIN whether the library is there.

Quote:
Originally Posted by AussieRacer View Post

WHAT TO DO NEXT ?

I notice that a few posts above in mattia's post it reads ...

I am a bit stuck as to what I should do next, so any help anyone can advise would be hugely appreciated.

Should I rerun Allwmake without deleting files as mentioned above ?

Where it says above "The paraview binaries available from paraview.org should work fine (I would not bother trying to compile it). All that is will require is for you to create the .foam file in your case root directory." ... where exactly should the .foam file be placed and what should that file contain ?

A sincere thank you once again for everyone's help on this. I am really looking forward to being able to run OpenFOAM on this box !
If the OF-library was not there before the "wmake libso" and afterwards it is, try the Allwmake-script again

Bernhard
gschaider is offline   Reply With Quote

Old   August 24, 2010, 11:47
Default
  #43
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by gschaider View Post
The intestesting part is in the beginning .... All the applications complain that they don't find libOpenFOAM which, as the name indicates, no OF-application can live without. To check it should be sufficient to

cd $FOAM_SRC/OpenFOAM
wmake libso

and see what happens..
Hi Bernhard,

Here is the output from:

cd $FOAM_SRC/OpenFOAM
wmake libso

Quote:
SOURCE=global/argList/argList.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/argList.o
SOURCE=global/clock/clock.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/clock.o
SOURCE=primitives/bools/bool/bool.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/bool.o
SOURCE=primitives/bools/bool/boolIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/boolIO.o
primitives/bools/bool/boolIO.C: In function ‘bool Foam::readBool(Foam::Istream&)’:
primitives/bools/bool/boolIO.C:62: warning: ‘val’ may be used uninitialized in this function
SOURCE=primitives/bools/Switch/Switch.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/Switch.o
lnInclude/dictionaryTemplates.C: In member function ‘T Foam::dictionary::lookupOrDefault(const Foam::word&, const T&, bool, bool) const [with T = Foam::Switch]’:
global/argList/argList.C:396: instantiated from here
lnInclude/dictionaryTemplates.C:44: error: call of overloaded ‘Switch(Foam:Traits<Foam::Switch>)’ is ambiguous
lnInclude/Switch.H:140: note: candidates are: Foam::Switch::Switch(int)
lnInclude/Switch.H:134: note: Foam::Switch::Switch(bool)
lnInclude/Switch.H:62: note: Foam::Switch::Switch(const Foam::Switch&)
make: *** [Make/darwinPpcDPOpt/argList.o] Error 1
make: *** Waiting for unfinished jobs....
lnInclude/dictionaryTemplates.C: In member function ‘T Foam::dictionary::lookupOrAddDefault(const Foam::word&, const T&, bool, bool) [with T = Foam::Switch]’:
primitives/bools/Switch/Switch.C:142: instantiated from here
lnInclude/dictionaryTemplates.C:66: error: call of overloaded ‘Switch(Foam:Traits<Foam::Switch>)’ is ambiguous
primitives/bools/Switch/Switch.H:140: note: candidates are: Foam::Switch::Switch(int)
primitives/bools/Switch/Switch.H:134: note: Foam::Switch::Switch(bool)
primitives/bools/Switch/Switch.H:62: note: Foam::Switch::Switch(const Foam::Switch&)
make: *** [Make/darwinPpcDPOpt/Switch.o] Error 1
Does that shed any light on it ? (the forum rendered the smileys in there) I'm not sure exactly what I should be looking for in that output.

Quote:
Originally Posted by gschaider View Post
Have a look in $FOAM_LIBBIN whether the library is there.

If the OF-library was not there before the "wmake libso" and afterwards it is, try the Allwmake-script again

Bernhard
After running ...

Code:
cd $FOAM_SRC/OpenFOAM
wmake libso
... if I do:

Code:
cd $FOAM_LIBBIN
echo $FOAM_LIBBIN
/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt
ls
... that outputs ...

Quote:
dummy
libedgeMesh.dylib
libmolecularMeasurements.dylib
libsurfMesh.dylib
libGKlib.dylib
libextrudeModel.dylib
libpdf.dylib
libtecio.dylib
libIMlib.dylib
libfoamCalcFunctions.dylib
librhoCentralFoam.dylib
libthermophysicalFunctions.dylib
libMGridGen.dylib
libkineticTheoryModel.dylib
libscotch.dylib
libtriSurface.dylib
libMGridGenGAMGAgglomeration.dylib
liblagrangian.dylib
libscotchDecomp.dylib
libODE.dylib
libliquidMixture.dylib
libscotcherrexit.dylib
libOSspecific.o
libliquids.dylib
libsolidMixture.dylib
libbarotropicCompressibilityModel.dylib
libmetis.dylib
libsolids.dylib
libdecompositionMethods.dylib
libmetisDecomp.dylib
libspecie.dylib
openmpi-1.4.1
paraview
postCalc.o
Should there be a file / directory in /Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt named libOpenFOAM ?

Once again many thanks for your help !

Last edited by AussieRacer; August 24, 2010 at 12:09.
AussieRacer is offline   Reply With Quote

Old   August 24, 2010, 16:46
Default
  #44
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings AussieRacer,

As you can see, response times may vary

OK, as for the error you are getting:
Quote:
lnInclude/dictionaryTemplates.C:66: error: call of overloaded ‘Switch(Foam:Traits<Foam::Switch>)’ is ambiguous
I think it's because you are using a gcc of the 4.2.x generation! Are you sure you are using gcc 4.5?
Quote:
Originally Posted by gschaider View Post
the patch assumes that you use gcc 4.5 from MacPorts
To check what version you are using, run:
Code:
gcc -v
Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   August 26, 2010, 09:14
Default
  #45
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Greetings AussieRacer,

As you can see, response times may vary

OK, as for the error you are getting:
I think it's because you are using a gcc of the 4.2.x generation! Are you sure you are using gcc 4.5?
To check what version you are using, run:
Code:
gcc -v
Best regards,
Bruno
Hi Bruno,

You were right - I had installed gcc 4.5 but had forgotten to select gcc 4.5 instead of the built in xcode version of gcc.

I have the latest MacPorts versions of gcc_select and Macports gcc 4.5 installed.

I then did this ...

Quote:
gcc -v

Using built-in specs.
Target: powerpc-apple-darwin9
Configured with: /var/tmp/gcc/gcc-5490~1/src/configure --disable-checking -enable-werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-transform-name=/^[cg][^.-]*$/s/$/-4.0/ --with-gxx-include-dir=/include/c++/4.0.0 --with-slibdir=/usr/lib --build=i686-apple-darwin9 --program-prefix= --host=powerpc-apple-darwin9 --target=powerpc-apple-darwin9
Thread model: posix
gcc version 4.0.1 (Apple Inc. build 5490)

sudo gcc_select mp-gcc45

Selecting version "mp-gcc45" for gcc

gcc -v

gcc-mp-4.5: installation problem, cannot exec '/opt/local/bin/powerpc-apple-darwin9-gcc-4.0.1': No such file or directory
Is it normal for gcc -v to give that error when using gcc_select ? Or is there something wrong with my gcc-mp-4.5 install ?

When I installed gcc 4.5 with MacPorts, there were no errors reported.

The terminal output of the install of gcc 4.5 with MacPorts reads ...

Quote:
sudo port install gcc45
---> Computing dependencies for gcc45
---> Building gcc45
---> Staging gcc45 into destroot
---> Installing gcc45 @4.5.1_0
---> Activating gcc45 @4.5.1_0
---> Cleaning gcc45


RUNNING WMAKE LIBSO AGAIN WITH GCC 4.5


To recap, the attempted OpenFOAM build outlined earlier was using "gcc version 4.0.1 (Apple Inc. build 5490)" which was obviously the wrong version of gcc to use

So in my OpenFOAM volume I have the files from that attempted build with gcc 4.0.1

Today I have done this ...

Quote:
. /Volumes/OpenFOAM/OpenFOAM-1.7.0/etc/bashrc

gcc_select -l

Available versions:
gcc40 gcc42 llvm-gcc42 mp-gcc45

sudo gcc_select mp-gcc45
Password:

Selecting version "mp-gcc45" for gcc

cd $FOAM_SRC/OpenFOAM
wmake libso
That returned ...

Quote:
SOURCE=primitives/bools/Switch/Switch.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/Switch.o
SOURCE=global/argList/argList.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/argList.o
SOURCE=primitives/bools/Switch/SwitchIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/SwitchIO.o
SOURCE=primitives/char/charIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/charIO.o
SOURCE=primitives/ints/int/intIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/intIO.o
SOURCE=primitives/ints/uint/uintIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/uintIO.o
SOURCE=primitives/ints/long/longIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/longIO.o
SOURCE=primitives/ints/longLong/longLongIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/longLongIO.o
SOURCE=primitives/ints/ulong/ulongIO.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/ulongIO.o
SOURCE=primitives/ints/label/label.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/label.o
SOURCE=primitives/ints/uLabel/uLabel.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/uLabel.o
SOURCE=primitives/Scalar/doubleScalar/doubleScalar.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/doubleScalar.o
SOURCE=primitives/Scalar/floatScalar/floatScalar.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/floatScalar.o
SOURCE=primitives/Scalar/scalar/scalar.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/scalar.o
SOURCE=primitives/DiagTensor/diagTensor/diagTensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/diagTensor.o
SOURCE=primitives/SphericalTensor/sphericalTensor/sphericalTensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/sphericalTensor.o
SOURCE=primitives/SphericalTensor/labelSphericalTensor/labelSphericalTensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/labelSphericalTensor.o
SOURCE=primitives/SymmTensor/labelSymmTensor/labelSymmTensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/labelSymmTensor.o
SOURCE=primitives/SymmTensor/symmTensor/symmTensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/symmTensor.o
SOURCE=primitives/Tensor/labelTensor/labelTensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/labelTensor.o
SOURCE=primitives/Vector/complexVector/complexVector.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/complexVector.o
SOURCE=primitives/Tensor/tensor/tensor.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/tensor.o
SOURCE=primitives/Vector/labelVector/labelVector.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/labelVector.o
SOURCE=primitives/Vector/vector/vector.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/vector.o
SOURCE=primitives/Tensor2D/tensor2D/tensor2D.C ; g++ -DdarwinPpc -DWM_DP -Wall -Wno-strict-aliasing -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.0/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.0/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/tensor2D.o
primitives/Vector/vector/vector.C:45:26: error: ISO C++ forbids declaration of 'zero' with no type
primitives/Vector/vector/vector.C:45:26: error: conflicting declaration 'const int Foam::Vector<double>::zero'
lnInclude/Vector.H:81:29: error: 'Foam::Vector<double>::zero' has a previous declaration as 'const Foam::Vector<double> Foam::Vector<double>::zero'
primitives/Vector/vector/vector.C:45:34: error: 'Foam::Vector<double>::zero' cannot be initialized by a non-constant expression when being declared
primitives/Vector/vector/vector.C:48:25: error: ISO C++ forbids declaration of 'one' with no type
primitives/Vector/vector/vector.C:48:25: error: conflicting declaration 'const int Foam::Vector<double>:ne'
lnInclude/Vector.H:82:29: error: 'Foam::Vector<double>:ne' has a previous declaration as 'const Foam::Vector<double> Foam::Vector<double>:ne'
primitives/Vector/vector/vector.C:48:33: error: 'Foam::Vector<double>:ne' cannot be initialized by a non-constant expression when being declared
primitives/Vector/vector/vector.C:51:26: error: ISO C++ forbids declaration of 'max' with no type
primitives/Vector/vector/vector.C:51:26: error: conflicting declaration 'const int Foam::Vector<double>::max'
lnInclude/Vector.H:83:29: error: 'Foam::Vector<double>::max' has a previous declaration as 'const Foam::Vector<double> Foam::Vector<double>::max'
primitives/Vector/vector/vector.C:51:48: error: 'Foam::Vector<double>::max' cannot be initialized by a non-constant expression when being declared
primitives/Vector/vector/vector.C:54:25: error: ISO C++ forbids declaration of 'min' with no type
primitives/Vector/vector/vector.C:54:25: error: conflicting declaration 'const int Foam::Vector<double>::min'
lnInclude/Vector.H:84:29: error: 'Foam::Vector<double>::min' has a previous declaration as 'const Foam::Vector<double> Foam::Vector<double>::min'
primitives/Vector/vector/vector.C:54:51: error: 'Foam::Vector<double>::min' cannot be initialized by a non-constant expression when being declared
make: *** [Make/darwinPpcDPOpt/vector.o] Error 1
make: *** Waiting for unfinished jobs....
Does that output above shed any light ? That output is quite different to the earlier output when I was using the wrong version of gcc, so I assume that gcc 4.5 is now being used to execute wmake libso, especially as I used "sudo gcc_select mp-gcc45" before executing wmake libso.

Code:
cd $FOAM_LIBBIN
echo $FOAM_LIBBIN
/Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt
ls
now returns ...

Quote:
dummy
libGKlib.dylib
libIMlib.dylib
libMGridGen.dylib
libMGridGenGAMGAgglomeration.dylib
libODE.dylib
libOSspecific.o
libbarotropicCompressibilityModel.dylib
libdecompositionMethods.dylib
libedgeMesh.dylib
libextrudeModel.dylib
libfoamCalcFunctions.dylib
libkineticTheoryModel.dylib
liblagrangian.dylib
libliquidMixture.dylib
libliquids.dylib
libmetis.dylib
libmetisDecomp.dylib
libmolecularMeasurements.dylib
libpdf.dylib
librhoCentralFoam.dylib
libscotch.dylib
libscotchDecomp.dylib
libscotcherrexit.dylib
libsolidMixture.dylib
libsolids.dylib
libspecie.dylib
libsurfMesh.dylib
libtecio.dylib
libthermophysicalFunctions.dylib
libtriSurface.dylib
openmpi-1.4.1
paraview
postCalc.o
... so again there is no sign in /Volumes/OpenFOAM/OpenFOAM-1.7.0/lib/darwinPpcDPOpt of a file named "libOpenFOAM" or similar.

Should ...

cd $FOAM_SRC/OpenFOAM
wmake libso

... have created a lib named libOpenFOAM ?


DO I NEED TO MODIFY THE PATCH ?

Bruno your earlier post reads ...

Quote:
Originally Posted by wyldckat View Post
@Bernhard: You might want to check this post for your patches for OpenFOAM 1.7.0: OpenFOAM 1.6.x, 1.7.0 and 1.7.x are not fully prepared to work with gcc-4.5.x
The problem as already been fixed for 1.7.x, but for 1.7.0 you'll need to:
Quote:
Originally Posted by wyldckat
add the option "-fno-strict-aliasing" along with "-O3"
Do I need to make a change to the patch as per your post at http://www.cfd-online.com/Forums/openfoam-bugs/78964-openfoam-1-6-x-1-7-0-1-7-x-not-fully-prepared-work-gcc-4-5-x.html#post271787 ?

If so, which file do I need to change and how should that file read after the changes have been applied ?


WHAT TO DO NEXT ?

Should I now do a fresh build again from source using gcc 4.5 ?

Or does the output of "wmake libso" point to another issue I need to fix first ?

Once again many many thanks for everyone's help on this. I'm amazed by the depth of knowledge from you guys on compiling OpenFOAM, and without your help I'd be lost at this point with the install.

Last edited by AussieRacer; August 26, 2010 at 09:50.
AussieRacer is offline   Reply With Quote

Old   August 26, 2010, 10:46
Default
  #46
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Hi!

Sorry, I don'T have time to go into details. Just some remark:

- gcc45 has problems with OF-1.7.0 (see BUGs-newsgroup). These problems are fixed in 1.7.x so you might consider getting 1.7.x and working on that
- I don't recommend using gcc_select to make gcc45 your default compiler (might break other things). Instead specify gcc-mp-45 as the OpenFOAM-compilers in wmake/rules/<your architecture>
- I'm attaching an updated version of the Mac-patch
- Please note that you'll probably have to adapt the rules for darwinPPC (darwinIntel64 is the one I'm currently using)

Bernhard



OpenFOAM-1.7.x-Mac_v2.patch
gschaider is offline   Reply With Quote

Old   August 26, 2010, 11:03
Default
  #47
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by gschaider View Post
Hi!

Sorry, I don'T have time to go into details. Just some remark:

- gcc45 has problems with OF-1.7.0 (see BUGs-newsgroup). These problems are fixed in 1.7.x so you might consider getting 1.7.x and working on that
- I don't recommend using gcc_select to make gcc45 your default compiler (might break other things). Instead specify gcc-mp-45 as the OpenFOAM-compilers in wmake/rules/<your architecture>
- I'm attaching an updated version of the Mac-patch
- Please note that you'll probably have to adapt the rules for darwinPPC (darwinIntel64 is the one I'm currently using)

Bernhard
Many thanks for your prompt reply Bernhard. I have downloaded the updated version of the patch and will let you know how I go with it.

Just to check, when you say "These problems are fixed in 1.7.x so you might consider getting 1.7.x and working on that", by 1.7.x do you mean the source of version 1.7.1 ? Or is 1.7.x a development version ?

Thanks again !
AussieRacer is offline   Reply With Quote

Old   August 26, 2010, 11:55
Default
  #48
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by gschaider View Post
- I don't recommend using gcc_select to make gcc45 your default compiler (might break other things). Instead specify gcc-mp-45 as the OpenFOAM-compilers in wmake/rules/<your architecture>
Hi again Bernhard,

I've now downloaded and unpacked the source files for OpenFOAM-1.7.1 and ThirdParty-1.7.1

I opened the files in /wmake/rules/darwinPPC/ but I am not sure where I need to make the changes and which of those files I need to change to specify gcc-mp-45 as the OpenFOAM-compiler.

In /wmake/rules/darwinPPC/c line 5 reads ...

"cc=gcc"

Should I change that line to read

"cc=gcc-mp-45" ?

Do I need to make changes to any of the other files in /wmake/rules/darwinPPC/c and if so what changes do I need to make ?

Apologies for the basicness of those questions, but I want to make sure that I have got the changes right to avoid creating any problems by not configuring those files correctly.

Also do I patch the ThirdParty-1.7.1 files with the patch named "ThirdParty-1.7-Mac.patch" or is that patch only used with 1.7.0 ?

Thanks again.
AussieRacer is offline   Reply With Quote

Old   August 26, 2010, 17:37
Default
  #49
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings AussieRacer,

Sweet, 1.7.1 is out
Quote:
Originally Posted by AussieRacer View Post
I've now downloaded and unpacked the source files for OpenFOAM-1.7.1 and ThirdParty-1.7.1
Cool, this way you (and MAC users in general) won't need to apply that post I made the other day about "-fno-strict-aliasing".


Quote:
Originally Posted by AussieRacer View Post
Do I need to make changes to any of the other files in /wmake/rules/darwinPPC/c and if so what changes do I need to make ?
You also need to edit "/wmake/rules/darwinPPC/c++" and change in "CC" the "g++" to "g++-mp-45", if I'm not mistaken.


Quote:
Originally Posted by AussieRacer View Post
Also do I patch the ThirdParty-1.7.1 files with the patch named "ThirdParty-1.7-Mac.patch" or is that patch only used with 1.7.0 ?
I can only guess that there weren't any substantial changes between ThirdParty-1.7.0 and ThirdParty-1.7.1, so it should be OK.

So, if you haven't forgotten the steps you took for 1.7.0 (editing bashrc and so on), you should be very close to tasting some OpenFOAM 1.7.1 on a MAC PPC

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   August 27, 2010, 04:55
Default
  #50
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by wyldckat View Post
I can only guess that there weren't any substantial changes between ThirdParty-1.7.0 and ThirdParty-1.7.1, so it should be OK.
The v2 patch I posted yesterday works on 1.7.x from three days ago. So it should work on 1.7.1, too

Quote:
Originally Posted by wyldckat View Post
So, if you haven't forgotten the steps you took for 1.7.0 (editing bashrc and so on), you should be very close to tasting some OpenFOAM 1.7.1 on a MAC PPC
BTW: for the first experiments I wouldn't bother trying to recompile paraview. Download a 3.8 (I hope they still provide that fro PPC) and use the native reader (just do "touch foo.foam" in the case directory).
gschaider is offline   Reply With Quote

Old   August 27, 2010, 08:47
Default
  #51
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Greetings AussieRacer,

Sweet, 1.7.1 is out
Cool, this way you (and MAC users in general) won't need to apply that post I made the other day about "-fno-strict-aliasing".


You also need to edit "/wmake/rules/darwinPPC/c++" and change in "CC" the "g++" to "g++-mp-45", if I'm not mistaken.


I can only guess that there weren't any substantial changes between ThirdParty-1.7.0 and ThirdParty-1.7.1, so it should be OK.

So, if you haven't forgotten the steps you took for 1.7.0 (editing bashrc and so on), you should be very close to tasting some OpenFOAM 1.7.1 on a MAC PPC

Best regards,
Bruno
Hi Bruno,

Today I attempted a fresh build using Macports gcc 4.5 and OpenFOAM 1.7.1

I used Bernard's OpenFOAM-1.7.x-Mac_v2.patch which he posted above to patch OpenFOAM, patched third party using ThirdParty-1.7-Mac.patch, made the changes to /Volumes/OpenFOAM/OpenFOAM-1.7.1/etc/bashrc etc.


PARAVIEW3/BASHRC CHANGE

On line 89 of OpenFOAM-1.7.0/etc/apps/paraview3/bashrc when I was previously using 1.7.0 I changed ...

mkdir $PV_PLUGIN_PATH

to ...

mkdir -p $PV_PLUGIN_PATH

However OpenFOAM-1.7.1/etc/apps/paraview3/bashrc is different to the same file in 1.7.0, so it looks like that change may not be needed as that section of the 1.7.1 file is different.

Lines 82-86 in the unedited source OpenFOAM-1.7.1/etc/apps/paraview3/bashrc read ...

Quote:
if [ "$WM_ARCH_BASE" == "darwin" ]
then
export PATH=$ParaView_DIR/bin/paraview.app/Contents/MacOS:$PATH
export DYLD_LIBRARY_PATH=$ParaView_DIR/bin:$DYLD_LIBRARY_PATH
fi
... so the line "mkdir $PV_PLUGIN_PATH" is no longer there in 1.7.1

Does it look like those lines remove the need to make the 1.7.0 "mkdir -p $PV_PLUGIN_PATH" change when running 1.7.1 ?


WMAKE RULES CHANGES

In /OpenFOAM-1.7.1/wmake/rules/darwinPPC/c line 5 reads ...

cc=gcc

I changed that line to read:

cc=gcc-mp-45

In /OpenFOAM-1.7.1/wmake/rules/darwinPPC/c++ I changed in "CC" the "g++" to "g++-mp-45", so that line now reads ...

CC=g++-mp-45

When I ran Allwmake though I got a couple of errors ...

The very start of make.log reads ...

Quote:
gcc-mp-45 -Wall -O3 -fPIC -Ddarwin dirToString.c -o /Volumes/OpenFOAM/OpenFOAM-1.7.1/wmake/bin/darwinPpc/dirToString
make: gcc-mp-45: Command not found
make: *** [/Volumes/OpenFOAM/OpenFOAM-1.7.1/wmake/bin/darwinPpc/dirToString] Error 127
ERROR 127 INFO

http://www.mail-archive.com/trplayer.../msg00281.html reads ...

Quote:

I cannot find any information about error 127 from make, but I did manage
to induce one to occur. I changed the name of my g++ compiler to a
nonexistent name, and when I ran make again it ended with an error 127.

So - is it possible your C++ compiler is not called g++? If it has another
name, try changing the line in make that says "CC=g++" to the correct
value.
http://www.mail-archive.com/trplayer.../msg00283.html reads ...

Quote:

error 127 indicates that make can't find a program that it needs to
run a command. My guess would be that she doesn't have g++ installed
(some distributions package it separately from gcc so it is possible to
have the c compiler installed but not the c++ compiler)
RESULTS OF MY ATTEMPTED OPENFOAM BUILD

The final lines of make.log read ...

Quote:
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[2]: *** [stitchMesh] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [surfaceSplitByPatch] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
darwinPpcDPOpt/options:6: *** missing separator. Stop.
make[2]: *** [subsetMesh] Error 1
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [surfaceSplitNonManifolds] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[2]: *** [transformPoints] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [surfaceSubset] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[2]: *** [zipUpMesh] Error 1
make[2]: Target `application' not remade because of errors.
make[1]: *** [manipulation] Error 2
make[1]: Target `application' not remade because of errors.
make: *** [mesh] Error 2
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [surfaceToPatch] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [surfaceTransformPoints] Error 1
make[1]: Target `application' not remade because of errors.
make: *** [surface] Error 2
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [IFCLookUpTableGen] Error 1
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [chemkinToFoam] Error 1
/bin/sh: /Volumes/OpenFOAM/OpenFOAM-1.7.1/wmake/bin/darwinPpc/wmkdep: No such file or directory
SOURCE=adiabaticFlameT.C ; g++-mp-45 -DdarwinPpc -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/thermophysicalModels/specie/lnInclude -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/adiabaticFlameT.o
/bin/sh: g++-mp-45: command not found
make[2]: *** [Make/darwinPpcDPOpt/adiabaticFlameT.o] Error 127
make[2]: Target `/Volumes/OpenFOAM/OpenFOAM-1.7.1/applications/bin/darwinPpcDPOpt/adiabaticFlameT' not remade because of errors.
make[1]: *** [adiabaticFlameT] Error 2
/bin/sh: /Volumes/OpenFOAM/OpenFOAM-1.7.1/wmake/bin/darwinPpc/wmkdep: No such file or directory
SOURCE=equilibriumCO.C ; g++-mp-45 -DdarwinPpc -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/thermophysicalModels/specie/lnInclude -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/equilibriumCO.o
/bin/sh: g++-mp-45: command not found
make[2]: *** [Make/darwinPpcDPOpt/equilibriumCO.o] Error 127
make[2]: Target `/Volumes/OpenFOAM/OpenFOAM-1.7.1/applications/bin/darwinPpcDPOpt/equilibriumCO' not remade because of errors.
make[1]: *** [equilibriumCO] Error 2
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
make[1]: *** [mixtureAdiabaticFlameT] Error 1
/bin/sh: /Volumes/OpenFOAM/OpenFOAM-1.7.1/wmake/bin/darwinPpc/wmkdep: No such file or directory
SOURCE=equilibriumFlameT.C ; g++-mp-45 -DdarwinPpc -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O3 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/thermophysicalModels/specie/lnInclude -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinPpcDPOpt/equilibriumFlameT.o
/bin/sh: g++-mp-45: command not found
make[2]: *** [Make/darwinPpcDPOpt/equilibriumFlameT.o] Error 127
make[2]: Target `/Volumes/OpenFOAM/OpenFOAM-1.7.1/applications/bin/darwinPpcDPOpt/equilibriumFlameT' not remade because of errors.
make[1]: *** [equilibriumFlameT] Error 2
make[1]: Target `application' not remade because of errors.
make: *** [thermophysical] Error 2
make: Target `application' not remade because of errors.
cd $FOAM_SRC/OpenFOAM
wmake libso

returns ...

Quote:
darwinPpcDPOpt/options:6: *** missing separator. Stop.
wmake error: file 'Make/darwinPpcDPOpt/objectFiles' could not be created
cd $FOAM_LIBBIN
echo $FOAM_LIBBIN
/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinPpcDPOpt
ls

returns ...

Quote:
libscotch.dylib
libscotcherrexit.dylib
openmpi-1.4.1
Does anyone know what might be causing this ?

Thanks again.
AussieRacer is offline   Reply With Quote

Old   August 27, 2010, 09:00
Default
  #52
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by gschaider View Post
The v2 patch I posted yesterday works on 1.7.x from three days ago. So it should work on 1.7.1, too
Hi Bernhard,

In today's attempted install posted above I used your OpenFOAM-1.7.x-Mac_v2.patch to patch OpenFOAM 1.7.1, and patched third party using ThirdParty-1.7-Mac.patch.

Is that the correct procedure I should use ?

cd /Volumes/OpenFOAM/OpenFOAM-1.7.1
patch -p1 <OpenFOAM-1.7.x-Mac_v2.patch

returned ...

Quote:
patching file Allwmake.noThird
patching file applications/solvers/combustion/fireFoam/Make/options
patching file applications/solvers/compressible/rhoPorousMRFPimpleFoam/Make/options
patching file applications/solvers/multiphase/interMixingFoam/Make/options
patching file applications/utilities/mesh/generation/blockMesh/Make/options
patching file applications/utilities/postProcessing/dataConversion/foamToTecplot360/tecio/tecsrc/GLOBAL.h
patching file applications/utilities/postProcessing/dataConversion/foamToTecplot360/tecio/tecsrc/MASTER.h
patching file bin/addr2line4Mac.py
patching file bin/foamCleanPath
patching file etc/apps/paraview3/bashrc
patching file etc/bashrc
patching file etc/controlDict
patching file etc/settings.sh
patching file src/OSspecific/POSIX/clockTime/clockTime.H
patching file src/OSspecific/POSIX/fileStat.C
patching file src/OSspecific/POSIX/printStack.C
patching file src/OpenFOAM/db/dlLibraryTable/dlLibraryTable.C
patching file src/OpenFOAM/primitives/Scalar/doubleFloat.H
patching file src/autoMesh/autoHexMesh/autoHexMeshDriver/autoRefineDriver.C
patching file src/conversion/ensight/part/ensightPart.C
patching file src/conversion/ensight/part/ensightPartIO.C
patching file src/dynamicMesh/fvMeshDistribute/fvMeshDistributeTemplates.C
patching file wmake/Makefile
patching file wmake/rules/darwinIntel/X
patching file wmake/rules/darwinIntel/c
patching file wmake/rules/darwinIntel/c++
patching file wmake/rules/darwinIntel/c++Debug
patching file wmake/rules/darwinIntel/c++Opt
patching file wmake/rules/darwinIntel/c++Prof
patching file wmake/rules/darwinIntel/cDebug
patching file wmake/rules/darwinIntel/cOpt
patching file wmake/rules/darwinIntel/cProf
patching file wmake/rules/darwinIntel/general
patching file wmake/rules/darwinIntel/mplib
patching file wmake/rules/darwinIntel/mplibOPENMPI
patching file wmake/rules/darwinIntel64/X
patching file wmake/rules/darwinIntel64/c
patching file wmake/rules/darwinIntel64/c++
patching file wmake/rules/darwinIntel64/c++Debug
patching file wmake/rules/darwinIntel64/c++Opt
patching file wmake/rules/darwinIntel64/c++Prof
patching file wmake/rules/darwinIntel64/cDebug
patching file wmake/rules/darwinIntel64/cOpt
patching file wmake/rules/darwinIntel64/cProf
patching file wmake/rules/darwinIntel64/general
patching file wmake/rules/darwinIntel64/mplib
patching file wmake/rules/darwinIntel64/mplibOPENMPI
patching file wmake/rules/darwinPpc/X
patching file wmake/rules/darwinPpc/c
patching file wmake/rules/darwinPpc/c++
patching file wmake/rules/darwinPpc/c++Debug
patching file wmake/rules/darwinPpc/c++Opt
patching file wmake/rules/darwinPpc/c++Prof
patching file wmake/rules/darwinPpc/cDebug
patching file wmake/rules/darwinPpc/cOpt
patching file wmake/rules/darwinPpc/cProf
patching file wmake/rules/darwinPpc/general
patching file wmake/rules/darwinPpc/mplib
patching file wmake/rules/darwinPpc/mplibOPENMPI
cd /Volumes/OpenFOAM/ThirdParty-1.7.1
patch -p1 <ThirdParty-1.7-Mac.patch

returned ...

Quote:
patching file Allwmake
patching file ParMGridGen-1.0/MGridGen/IMlib/IMlib.h
patching file ParMGridGen-1.0/MGridGen/Lib/Make/options
patching file ParMGridGen-1.0/MGridGen/Lib/mgridgen.h
patching file ParMetis-3.1/METISLib/stdheaders.h
patching file ParMetis-3.1/ParMETISLib/stdheaders.h
patching file metis-5.0pre2/GKlib/Make/options
patching file metis-5.0pre2/GKlib/trunk/dlmalloc.c
patching file metis-5.0pre2/GKlib/trunk/error.c
patching file metis-5.0pre2/GKlib/trunk/gk_externs.h
patching file scotch_5.1/src/Make.inc/Makefile.inc.i686_pc_linux2
patching file tools/makeParaViewFunctions
PARAVIEW

Quote:
Originally Posted by gschaider View Post
BTW: for the first experiments I wouldn't bother trying to recompile paraview. Download a 3.8 (I hope they still provide that fro PPC) and use the native reader (just do "touch foo.foam" in the case directory).
Yes I have Paraview 3.8 running already on this box from a Paraview Mac OS X Universal Application Bundle.

When you say "for the first experiments I wouldn't bother trying to recompile paraview", do you mean that instead of using /OpenFOAM-1.7.1/Allwmake that instead I should use /OpenFOAM-1.7.1/Allwmake.noThird ?

Can you spot anything in the post above this one that might be causing the problem I am having with installing 1.7.1 ?

Thanks again.

Last edited by AussieRacer; August 27, 2010 at 09:24.
AussieRacer is offline   Reply With Quote

Old   August 27, 2010, 09:21
Default
  #53
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi AussieRacer,

I assumed "gcc-mp-45" and "g++-mp-45" are the names of the executables for gcc and that you had already tested them. Try running them with "-v" option in a terminal/console and see if anything happens. If it doesn't find those executables, you possibly need to add the path to those binaries in the variable PATH... but like I've said before, I don't have experience with Mac OS X, so I'm only guessing when it comes to Mac specific information
So, you might need to add something like this to your ~/.bashrc file:
Code:
export PATH=$PATH:/usr/gcc-mp-45/bin/
As for the new patches: its only natural that they get more refined over time

Quote:
Originally Posted by AussieRacer View Post
When you say "for the first experiments I wouldn't bother trying to recompile paraview", do you mean that instead of using /OpenFOAM-1.7.1/Allwmake that instead I should use /OpenFOAM-1.7.1/Allwmake.noThird?
I believe that he meant that you shouldn't waste time running the makeParaView script that is in the ThirdParty folder At least for now...

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   August 27, 2010, 10:17
Default
  #54
New Member
 
Join Date: May 2010
Posts: 13
Rep Power: 7
AussieRacer is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Hi AussieRacer,

I assumed "gcc-mp-45" and "g++-mp-45" are the names of the executables for gcc and that you had already tested them. Try running them with "-v" option in a terminal/console and see if anything happens.
My mistake - I have done some compiling from source in the past but am a bit rusty. Thanks for your patience ! I assumed they were the correct names of the executables too.

g++-mp-45 -v
-bash: g++-mp-45: command not found
gcc-mp-45 -v
-bash: gcc-mp-45: command not found


WHICH G++ TO USE ?

In /opt/local/bin there are 2 G++ executables named ...

g++-mp-4.5
ppc-apple-darwin9-g++-mp-4.5

g++-mp-4.5 -v

returns ...

Quote:
Using built-in specs.
COLLECT_GCC=g++-mp-4.5
COLLECT_LTO_WRAPPER=/opt/local/libexec/gcc/ppc-apple-darwin9/4.5.1/lto-wrapper
Target: ppc-apple-darwin9
Configured with: ../gcc-4.5.1/configure --prefix=/opt/local --build=ppc-apple-darwin9 --enable-languages=c,c++,objc,obj-c++,fortran,java --libdir=/opt/local/lib/gcc45 --includedir=/opt/local/include/gcc45 --infodir=/opt/local/share/info --mandir=/opt/local/share/man --datarootdir=/opt/local/share/gcc-4.5 --with-local-prefix=/opt/local --with-system-zlib --disable-nls --program-suffix=-mp-4.5 --with-gxx-include-dir=/opt/local/include/gcc45/c++/ --with-gmp=/opt/local --with-mpfr=/opt/local --with-mpc=/opt/local --enable-stage1-checking --disable-multilib
Thread model: posix
gcc version 4.5.1 (GCC)
ppc-apple-darwin9-g++-mp-4.5 -v

returns ...

Quote:
Using built-in specs.
COLLECT_GCC=ppc-apple-darwin9-g++-mp-4.5
COLLECT_LTO_WRAPPER=/opt/local/libexec/gcc/ppc-apple-darwin9/4.5.1/lto-wrapper
Target: ppc-apple-darwin9
Configured with: ../gcc-4.5.1/configure --prefix=/opt/local --build=ppc-apple-darwin9 --enable-languages=c,c++,objc,obj-c++,fortran,java --libdir=/opt/local/lib/gcc45 --includedir=/opt/local/include/gcc45 --infodir=/opt/local/share/info --mandir=/opt/local/share/man --datarootdir=/opt/local/share/gcc-4.5 --with-local-prefix=/opt/local --with-system-zlib --disable-nls --program-suffix=-mp-4.5 --with-gxx-include-dir=/opt/local/include/gcc45/c++/ --with-gmp=/opt/local --with-mpfr=/opt/local --with-mpc=/opt/local --enable-stage1-checking --disable-multilib
Thread model: posix
gcc version 4.5.1 (GCC)
Should I specify "g++-mp-4.5" or "ppc-apple-darwin9-g++-mp-4.5" in the /OpenFOAM-1.7.1/wmake/rules/darwinPPC/ files ?


WHICH GCC TO USE ?

In /opt/local/bin there are 3 GCC executables named ...

gcc-mp-4.5
ppc-apple-darwin9-gcc-4.5.1
ppc-apple-darwin9-gcc-mp-4.5


gcc-mp-4.5 -v

returns ...

Quote:
Using built-in specs.
COLLECT_GCC=gcc-mp-4.5
COLLECT_LTO_WRAPPER=/opt/local/libexec/gcc/ppc-apple-darwin9/4.5.1/lto-wrapper
Target: ppc-apple-darwin9
Configured with: ../gcc-4.5.1/configure --prefix=/opt/local --build=ppc-apple-darwin9 --enable-languages=c,c++,objc,obj-c++,fortran,java --libdir=/opt/local/lib/gcc45 --includedir=/opt/local/include/gcc45 --infodir=/opt/local/share/info --mandir=/opt/local/share/man --datarootdir=/opt/local/share/gcc-4.5 --with-local-prefix=/opt/local --with-system-zlib --disable-nls --program-suffix=-mp-4.5 --with-gxx-include-dir=/opt/local/include/gcc45/c++/ --with-gmp=/opt/local --with-mpfr=/opt/local --with-mpc=/opt/local --enable-stage1-checking --disable-multilib
Thread model: posix
gcc version 4.5.1 (GCC)
ppc-apple-darwin9-gcc-mp-4.5 -v

returns ...

Quote:
Using built-in specs.
COLLECT_GCC=ppc-apple-darwin9-gcc-mp-4.5
COLLECT_LTO_WRAPPER=/opt/local/libexec/gcc/ppc-apple-darwin9/4.5.1/lto-wrapper
Target: ppc-apple-darwin9
Configured with: ../gcc-4.5.1/configure --prefix=/opt/local --build=ppc-apple-darwin9 --enable-languages=c,c++,objc,obj-c++,fortran,java --libdir=/opt/local/lib/gcc45 --includedir=/opt/local/include/gcc45 --infodir=/opt/local/share/info --mandir=/opt/local/share/man --datarootdir=/opt/local/share/gcc-4.5 --with-local-prefix=/opt/local --with-system-zlib --disable-nls --program-suffix=-mp-4.5 --with-gxx-include-dir=/opt/local/include/gcc45/c++/ --with-gmp=/opt/local --with-mpfr=/opt/local --with-mpc=/opt/local --enable-stage1-checking --disable-multilib
Thread model: posix
gcc version 4.5.1 (GCC)
ppc-apple-darwin9-gcc-4.5.1 -v

returns ...

Quote:
Using built-in specs.
COLLECT_GCC=ppc-apple-darwin9-gcc-4.5.1
COLLECT_LTO_WRAPPER=/opt/local/libexec/gcc/ppc-apple-darwin9/4.5.1/lto-wrapper
Target: ppc-apple-darwin9
Configured with: ../gcc-4.5.1/configure --prefix=/opt/local --build=ppc-apple-darwin9 --enable-languages=c,c++,objc,obj-c++,fortran,java --libdir=/opt/local/lib/gcc45 --includedir=/opt/local/include/gcc45 --infodir=/opt/local/share/info --mandir=/opt/local/share/man --datarootdir=/opt/local/share/gcc-4.5 --with-local-prefix=/opt/local --with-system-zlib --disable-nls --program-suffix=-mp-4.5 --with-gxx-include-dir=/opt/local/include/gcc45/c++/ --with-gmp=/opt/local --with-mpfr=/opt/local --with-mpc=/opt/local --enable-stage1-checking --disable-multilib
Thread model: posix
gcc version 4.5.1 (GCC)
Should I specify "gcc-mp-4.5" or "ppc-apple-darwin9-gcc-mp-4.5" or "ppc-apple-darwin9-gcc-4.5.1"" in the /OpenFOAM-1.7.1/wmake/rules/darwinPPC/ files ?


Quote:
Originally Posted by wyldckat View Post
As for the new patches: its only natural that they get more refined over time
I'm definitely not complaining about the patches in any way. They are a huge timesaver and I hugely appreciate the time and effort that Bernhard has put into the patches and yourself and Bernhard's time in answering questions.


Quote:
Originally Posted by wyldckat View Post
I believe that he meant that you shouldn't waste time running the makeParaView script that is in the ThirdParty folder At least for now...
Will running the Allwmake script at /OpenFOAM-1.7.1/Allwmake attempt to build OpenFOAM and Paraview or will it only build OpenFOAM without attempting to build Paraview ?

That's what I meant where I said "do you mean that instead of using /OpenFOAM-1.7.1/Allwmake that instead I should use /OpenFOAM-1.7.1/Allwmake.noThird".

ie since I have Paraview 3.8 already running on this box from a Paraview Mac OS X Universal Application Bundle, should I run /OpenFOAM-1.7.1/Allwmake or should I run /OpenFOAM-1.7.1/Allwmake.noThird ?

A huge thank you to you guys for your patience with me and my OpenFOAM newbie questions ! I really appreciate your help and though I ask a few questions at the beginning I learn fast and don't ask the same questions again and again That's also why I've put so much detail into my replies as that may help other newcomers to OpenFOAM in the future get up to speed quickly.

Last edited by AussieRacer; August 27, 2010 at 10:36.
AussieRacer is offline   Reply With Quote

Old   August 27, 2010, 10:59
Default
  #55
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,253
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi AussieRacer,

These seem to me the best choice for now:
Code:
ppc-apple-darwin9-gcc-mp-4.5
ppc-apple-darwin9-g++-mp-4.5
They have the complete naming and will avoid future issues with MacPorts updates, such as 4.5.1 that seems incomplete, by what I can see from your post.

Quote:
Originally Posted by AussieRacer View Post
In /opt/local/bin there are 2 G++ executables named ...
Like I said before, you might need to add "/opt/local/bin" to your PATH variable:
Code:
export PATH:$PATH:/opt/local/bin
Quote:
Originally Posted by AussieRacer View Post
Will running the Allwmake script at /OpenFOAM-1.7.1/Allwmake attempt to build OpenFOAM and Paraview or will it only build OpenFOAM without attempting to build Paraview ?
Once again, I should have been more specific: makeParaView is an independent script and usually isn't called from the Allwmake scripts, because makeParaView was created to re-build ParaView no matter what... so it would be a serious pain if it was called every time you ran Allwmake.

Quote:
Originally Posted by AussieRacer View Post
ie since I have Paraview 3.8 already running on this box from a Paraview Mac OS X Universal Application Bundle, should I run /OpenFOAM-1.7.1/Allwmake or should I run /OpenFOAM-1.7.1/Allwmake.noThird ?
My guess: run Allwmake, since this way you will get all of the libraries available for OpenFOAM

Good luck!
Bruno
wyldckat is offline   Reply With Quote

Old   September 11, 2010, 07:17
Default
  #56
New Member
 
Jan Löhrmann
Join Date: Sep 2010
Posts: 21
Rep Power: 6
JanL is on a distinguished road
Hi All,

I'm having some problems with compiling OF-1.7.1 for my Mac OS X 10.6. and hope somebody might be able to help me! I'm just starting to use terminals and stuff like that so as far as I know I had to do a bit of groundwork before.

What I have done so far:

1. Downloaded and installed xcode.
2. Downloaded and installed MacPort 1.9.1.
3. Created a case-sensitive disk image in my user directory.
4. Extracted OF-1.7.1 and ThirdParty-1.7.1.
5. Downloaded the patches OpenFOAM-1.7.x-Mac_v2.patch and ThirdParty-1.7-Mac.patch and patched them using:

Quote:
patch -p1 <OpenFOAM-1.7.x-Mac_v2.patch patch -p1 <ThirdParty-1.7-Mac.patch
The patch for ThirdParty went through normal! When patching the OF patch sth like this occured:

Quote:
The next patch would create the file .Allwmake(.noThird),
which already exists! Assume -R? [n]
I've hit "n" a couple of times and the rest of the patch went through normal. Unfortunately I don't know how to reproduce the exact sequence!?

6. I've checked the compiler with gcc -v and it listed gcc 4.2.1 as current compiler. So I installed gcc45. When using the command gcc -v it now returns:

Quote:
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/opt/local/libexec/gcc/x86_64-apple-darwin10/4.5.1/lto-wrapper
Target: x86_64-apple-darwin10
Configured with: ../gcc-4.5.1/configure --prefix=/opt/local --build=x86_64-apple-darwin10 --enable-languages=c,c++,objc,obj-c++,fortran,java --libdir=/opt/local/lib/gcc45 --includedir=/opt/local/include/gcc45 --infodir=/opt/local/share/info --mandir=/opt/local/share/man --datarootdir=/opt/local/share/gcc-4.5 --with-local-prefix=/opt/local --with-system-zlib --disable-nls --program-suffix=-mp-4.5 --with-gxx-include-dir=/opt/local/include/gcc45/c++/ --with-gmp=/opt/local --with-mpfr=/opt/local --with-mpc=/opt/local --enable-stage1-checking --disable-multilib --enable-fully-dynamic-string
Thread model: posix
gcc version 4.5.1 (GCC)
which I assume to be correct!?

7. With a bit of effort I then sourced the etc/bashrc, which should be ok too.
8. Afterwards I tried ./Allwmake in the OF directory and it showed this, which I abborted shortly afterwards:

Quote:
========================================
Start ThirdParty Allwmake
========================================

========================================
Compile specific mpi libraries

have OPENMPI shared Mac dylib
========================================
Build Scotch decomposition library

have scotch shared libraries
========================================
Build PTScotch decomposition library (requires MPI)

have ptscotch shared libraries
========================================
Build Metis decomposition

+ cd metis-5.0pre2
+ cpMakeFiles metis
+ set +x
cpMakeFiles metis .
+ wmake libso GKlib
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/libGKlib.dylib' is up to date.
+ wmake libso libmetis
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/libmetis.dylib' is up to date.
========================================
Build ParMetis decomposition. Requires MPI.

+ cd ParMetis-3.1
+ cpMakeFiles ParMetis
+ set +x
cpMakeFiles ParMetis .
+ wmake libso METISLib
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/openmpi-1.4.1/libmetis-parmetis.dylib' is up to date.
+ wmake libso ParMETISLib
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/openmpi-1.4.1/libparmetis.dylib' is up to date.
========================================
Build ParMGridGen

+ cd ParMGridGen-1.0
+ cpMakeFiles ParMGridGen
+ set +x
cpMakeFiles ParMGridGen .
+ wmake libso MGridGen/IMlib
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/libIMlib.dylib' is up to date.
+ wmake libso MGridGen/Lib
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/libMGridGen.dylib' is up to date.
========================================
Done ThirdParty Allwmake
========================================

+ wmakePrintBuild -check
no git description found
+ /bin/rm -f 'OpenFOAM/Make/darwinIntel64DPOpt/global.?'
+ wmakeLnInclude OpenFOAM
+ wmakeLnInclude OSspecific/POSIX
+ Pstream/Allwmake
+ wmake libso dummy
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/dummy/libPstream.dylib' is up to date.
+ case "$WM_MPLIB" in
+ set +x

Note: ignore spurious warnings about missing mpicxx.h headers
+ WM_OPTIONS=darwinIntel64DPOptOPENMPI
+ wmake libso mpi
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/openmpi-1.4.1/libPstream.dylib' is up to date.
+ wmake libo OSspecific/POSIX
'/Volumes/OpenFOAM/OpenFOAM-1.7.1/lib/darwinIntel64DPOpt/libOSspecific.o' is up to date.
+ wmake libso OpenFOAM
make: *** No rule to make target `primitives/random/Random.dep', needed by `Make/darwinIntel64DPOpt/dependencies'. Stop.
+ wmake libso lagrangian/basic
SOURCE=passiveParticle/passiveParticleCloud.C ; g++-mp-4.5 -m64 -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O2 -DNoRepository -ftemplate-depth-40 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinIntel64DPOpt/passiveParticleCloud.o
SOURCE=indexedParticle/indexedParticleCloud.C ; g++-mp-4.5 -m64 -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O2 -DNoRepository -ftemplate-depth-40 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinIntel64DPOpt/indexedParticleCloud.o
In file included from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/linePointRef.H:36:0,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edge.H:41,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edgeList.H:32,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/primitiveMesh.H:57,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/polyMesh.H:44,
from lnInclude/Cloud.H:41,
from indexedParticle/indexedParticleCloud.H:38,
from indexedParticle/indexedParticleCloud.C:26:
/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/line.H:39:22: fatal error: PointHit.H: No such file or directoryIn file included from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/linePointRef.H:36:0,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edge.H:41,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edgeList.H:32,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/primitiveMesh.H:57,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/polyMesh.H:44,
from lnInclude/Cloud.H:41,
from passiveParticle/passiveParticleCloud.H:38,
from passiveParticle/passiveParticleCloud.C:26:
/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/line.H:39:22: fatal error: PointHit.H: No such file or directory
compilation terminated.

compilation terminated.
make: *** [Make/darwinIntel64DPOpt/passiveParticleCloud.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [Make/darwinIntel64DPOpt/indexedParticleCloud.o] Error 1
+ wmake libso triSurface

SOURCE=faceTriangulation/faceTriangulation.C ; g++-mp-4.5 -m64 -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O2 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.1/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinIntel64DPOpt/faceTriangulation.o
SOURCE=meshTriangulation/meshTriangulation.C ; g++-mp-4.5 -m64 -DdarwinIntel64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -O2 -DNoRepository -ftemplate-depth-40 -I/Volumes/OpenFOAM/ThirdParty-1.7.1/zlib-1.2.3 -IlnInclude -I. -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude -I/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OSspecific/POSIX/lnInclude -fPIC -Ddarwin -c $SOURCE -o Make/darwinIntel64DPOpt/meshTriangulation.o
In file included from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/linePointRef.H:36:0,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edge.H:41,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edgeList.H:32,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/triFace.H:39,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/triFaceList.H:35,
from faceTriangulation/faceTriangulation.H:52,
from faceTriangulation/faceTriangulation.C:26:
/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/line.H:39:22: fatal error: PointHit.H: No such file or directory
compilation terminated.
make: *** [Make/darwinIntel64DPOpt/faceTriangulation.o] Error 1
make: *** Waiting for unfinished jobs....
In file included from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/linePointRef.H:36:0,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edge.H:41,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/edgeList.H:32,
from /Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/PrimitivePatch.H:56,
from lnInclude/triSurface.H:38,
from meshTriangulation/meshTriangulation.H:42,
from meshTriangulation/meshTriangulation.C:26:
/Volumes/OpenFOAM/OpenFOAM-1.7.1/src/OpenFOAM/lnInclude/line.H:39:22: fatal error: PointHit.H: No such file or directory
compilation terminated.
make: *** [Make/darwinIntel64DPOpt/meshTriangulation.o] Error 1
+ wmake libso edgeMesh
The make.log keeps on going on like this and at some point starts to return that:

Quote:
Making dependency list for source file foamToVTK.C
could not open file PointHit.H for source file foamToVTK.C
could not open file IOList.H for source file foamToVTK.C
could not open file labelIOList.H for source file foamToVTK.C
could not open file polyBoundaryMesh.H for source file foamToVTK.C
could not open file boundBox.H for source file foamToVTK.C
could not open file pointZoneMesh.H for source file foamToVTK.C
could not open file faceZoneMesh.H for source file foamToVTK.C
could not open file cellZoneMesh.H for source file foamToVTK.C
could not open file lduMesh.H for source file foamToVTK.C
could not open file fvBoundaryMesh.H for source file foamToVTK.C
could not open file surfaceInterpolation.H for source file foamToVTK.C
could not open file DimensionedField.H for source file foamToVTK.C
could not open file volFieldsFwd.H for source file foamToVTK.C
could not open file surfaceFieldsFwd.H for source file foamToVTK.C
could not open file pointFieldsFwd.H for source file foamToVTK.C
could not open file slicedVolFieldsFwd.H for source file foamToVTK.C
could not open file slicedSurfaceFieldsFwd.H for source file foamToVTK.C
could not open file fvPatchFvMeshTemplates.C for source file foamToVTK.C
could not open file fvc.H for source file foamToVTK.C
could not open file fvMatrices.H for source file foamToVTK.C
could not open file fvm.H for source file foamToVTK.C
could not open file linear.H for source file foamToVTK.C
could not open file uniformDimensionedFields.H for source file foamToVTK.C
could not open file calculatedFvPatchFields.H for source file foamToVTK.C
could not open file fixedValueFvPatchFields.H for source file foamToVTK.C
could not open file adjustPhi.H for source file foamToVTK.C
could not open file findRefCell.H for source file foamToVTK.C
could not open file mathematicalConstants.H for source file foamToVTK.C
could not open file argList.H for source file foamToVTK.C
could not open file timeSelector.H for source file foamToVTK.C
could not open file pointMesh.H for source file foamToVTK.C
could not open file volPointInterpolation.H for source file foamToVTK.C
Questions:

1. Is it correct, that the start of the make.log says "Start ThirdParty Allwmake", though I originally intended to compile OF?

2. What might produce the Errors shown in the make.log?

3. Should I have installed any more programs, so that OF is able to run (already installed cmake and flex, which seem to be necessary for Ubuntu according to the "cookbook" ( http://hvirvel.dk/OF/installOF9.10 ), or are such programs not necessary for Mac or maybe already included in xcode or MacPort)!?

4. If worst comes worst, I'd consider trying to run OF for Ubuntu via "Parallels" on my Mac. Does anybody have experience with that?

Any help and ideas would be very much appreciated. And as I'm a total newbie, please be patient with my basic questions !

JanL is offline   Reply With Quote

Old   September 13, 2010, 04:59
Default
  #57
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by JanL View Post
Hi All,

1. Is it correct, that the start of the make.log says "Start ThirdParty Allwmake", though I originally intended to compile OF?

2. What might produce the Errors shown in the make.log?

3. Should I have installed any more programs, so that OF is able to run (already installed cmake and flex, which seem to be necessary for Ubuntu according to the "cookbook" ( http://hvirvel.dk/OF/installOF9.10 ), or are such programs not necessary for Mac or maybe already included in xcode or MacPort)!?

4. If worst comes worst, I'd consider trying to run OF for Ubuntu via "Parallels" on my Mac. Does anybody have experience with that?

Any help and ideas would be very much appreciated. And as I'm a total newbie, please be patient with my basic questions !

Just @point 2: my guess is that you're not working on a case-sensitive filesystem. The missing file PointHit.H has a brother pointHit.H living in the same directory and then the Highlander-effect ("There can be only one") hits.

@3: you'll need cmake for the Paraview-stuff but apart from that everything you need should come with XCode

@4: VirtualBox works as well for that.
gschaider is offline   Reply With Quote

Old   September 13, 2010, 10:40
Default
  #58
New Member
 
Jan Löhrmann
Join Date: Sep 2010
Posts: 21
Rep Power: 6
JanL is on a distinguished road
Hi Bernhard,

thanks for the help!

Quote:
Just @point 2: my guess is that you're not working on a case-sensitive filesystem. The missing file PointHit.H has a brother pointHit.H living in the same directory and then the Highlander-effect ("There can be only one") hits.
I'm quite sure the image I produced with the disk utility program is case sensitive (Format: Mac OS Extended (case-sensitive and journaled))! I can also create both folders "test" and "Test" within this image. Could I have done anything else wrong here? Do you have an idea what to try next?
JanL is offline   Reply With Quote

Old   September 14, 2010, 05:50
Default
  #59
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,912
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by JanL View Post
Hi Bernhard,

thanks for the help!



I'm quite sure the image I produced with the disk utility program is case sensitive (Format: Mac OS Extended (case-sensitive and journaled))! I can also create both folders "test" and "Test" within this image. Could I have done anything else wrong here? Do you have an idea what to try next?
Check wheher you have both: pointHit.H and PointHit.H. Is it possible that the directory you're working with "visited" a case-insensitive filesystem (for instance you untarred the sources there and then moved them to the final destination).

BTW: the files should live in $FOAM_SRC/OpenFOAM/meshes/primitiveShapes/objectHit
gschaider is offline   Reply With Quote

Old   September 14, 2010, 06:29
Default
  #60
New Member
 
Jan Löhrmann
Join Date: Sep 2010
Posts: 21
Rep Power: 6
JanL is on a distinguished road
Hi Bernhard,

you were right! There is only the file pointHit.H and not PoinHit.H!

I'm a bit confused here... My Mac OS system is case-insensitive but I created a case-sensitive image and untarred the files within this image! Is there anything I have to consider for creating such an case-sensitive image in a case-insensitive system/environment or maybe any typical mistakes I could do working with such an image?

I guess I'll try to create a new image and start from the beginning again!?

Thanks for your help!!!
JanL is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Default patches not appearing in paraview ozzythewise OpenFOAM Native Meshers: blockMesh 6 January 31, 2011 10:41
internal faces between patches created with snappyHexMesh romant OpenFOAM Mesh Utilities 0 August 17, 2009 08:40
Courant number, patches, etc oort OpenFOAM 1 July 24, 2009 18:05
SnappyHexMesh large number of patches written prapanj OpenFOAM Mesh Utilities 0 July 15, 2009 08:11
radiation patches, viewfactors beams CD-adapco 1 March 12, 2009 08:39


All times are GMT -4. The time now is 06:00.